CartonCloud
CartonCloud API

Legacy tenant collection for creating a document attached to an owner.


Create tenant document

POST
https://api.cartoncloud.com
/tenants/{tenantId}/documents
required permission: ADD_API_DOCUMENT

Create a document and attach it to an object in the system (owner).

This is the legacy tenant collection endpoint. Inbound, outbound, and consignment document APIs are separate resources.

API clients with Customer-role access can upload only when the customer is allowed to upload documents (Customer Invoice or Document Upload in customer warehouse management settings).

Create tenant document › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

Create tenant document › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Create tenant document › Request Body

Legacy request to create a document and attach it to an owner via POST /tenants/{tenantId}/documents.
type
​string · enum · required

Document type code. OUTBOUND_ORDER_INVOICE applies to owner type OUTBOUND.

Enum values:
OUTBOUND_ORDER_INVOICE
​object · required
​object · required

Create tenant document › Responses

Created

Legacy tenant-collection document. Distinct from inbound, outbound, and consignment document resources.
type
​string · enum · required
Enum values:
OUTBOUND_ORDER_INVOICE
​object · required
id
​string · uuid · readOnly
​object